Adara Documentation
Account Service Api
v3.0
Account Service Api
Authentication
Accounts
POSTCreate customer account
GETGet customer Accounts
PUTUpdate customer account
Customers
GETget list of customers
POSTCreate Customer
Managers
POSTCreate a new manager
GETGet list of managers
Managed Accounts
PUTApprove or Reject Manager access to customer account
DELETERemove a managed account
POSTRequest access to customer account.
GETget managed accounts

Account Service Api 1.0.0

Server
/api/v1/
https://account-qa.adara.com/api/v1/
https://account-prod.adara.com/api/v1/
Server Variables

Authentication

oauth2 oauth2
FlowClient Credentials
Token URL/core/v1.0/oauth/token

Accounts

Endpoints
POST
/accounts
GET
/accounts
PUT
/accounts/{account_id}

Create customer account

Auth
Required Scopes:post:accounts
Request Body

Create a new account for a customer

objectobject
namestring
customer_idstring
data_provider_idstring
advertiser_idstring
locationstring

Default: global

logofile
POST /accounts
curl --request POST \
--url '/api/v1//accounts' \
--header 'Authorization: Bearer {token}' \
--form 'file=@{file}'
Copy
Responses
200

Account created for customer

objectobject
activeboolean
response12 fieldsobject
idstring
createdinteger
updatedinteger
namestring
customer_idstring
data_provider_idstring
advertiser_idstring
locationstring

Default: global

small_logo_urlstring
large_logo_urlstring
vertical_idstring
defaultboolean
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"customer_id": "{string}",
"data_provider_id": "{string}",
"advertiser_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"vertical_id": "{string}",
"default": "{boolean}"
}
}
Copy

Get customer Accounts

Auth
Required Scopes:get:accounts
Query String
customer_idstring
cursor_idstring
GET /accounts
curl --get \
--url '/api/v1//accounts' \
--header 'Authorization: Bearer {token}' \
--data customer_id={customer_id} \
--data cursor_id={cursor_id}
Copy
Responses
200

List of Accounts that exist for a Manager or Customer

objectobject
cursor_idstring

cursor to get the next sett of managers

activeboolean
responsearray
idstring
createdinteger
updatedinteger
namestring
customer_idstring
data_provider_idstring
advertiser_idstring
locationstring

Default: global

small_logo_urlstring
large_logo_urlstring
vertical_idstring
defaultboolean
400

Bad Request

Response
{
"cursor_id": "{string}",
"active": "{boolean}",
"response": [
{
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"customer_id": "{string}",
"data_provider_id": "{string}",
"advertiser_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"vertical_id": "{string}",
"default": "{boolean}"
}
]
}
Copy

Update customer account

Auth
Required Scopes:put:accounts
Path Params
account_idstring

account id

Request Body

Update a new account for a customer

objectobject
namestring
customer_idstring
data_provider_idstring
advertiser_idstring
locationstring

Default: global

logofile
PUT /accounts/{account_id}
curl --request PUT \
--url '/api/v1//accounts/{account_id}' \
--header 'Authorization: Bearer {token}' \
--form 'file=@{file}'
Copy
Responses
200

Account created for customer

objectobject
activeboolean
response12 fieldsobject
idstring
createdinteger
updatedinteger
namestring
customer_idstring
data_provider_idstring
advertiser_idstring
locationstring

Default: global

small_logo_urlstring
large_logo_urlstring
vertical_idstring
defaultboolean
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"customer_id": "{string}",
"data_provider_id": "{string}",
"advertiser_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"vertical_id": "{string}",
"default": "{boolean}"
}
}
Copy

Customers

Endpoints
GET
/customers
POST
/customers

get list of customers

Get a tvs score for a particular cookie_id

Auth
Required Scopes:get:customers
Query String
cursor_idstring
GET /customers
curl --get \
--url '/api/v1//customers' \
--header 'Authorization: Bearer {token}' \
--data cursor_id={cursor_id}
Copy
Responses
200

Get list of customers and

objectobject
cursor_idstring

cursor to get the next sett of managers

activeboolean
responsearray
idstring
createdinteger
updatedinteger
namestring
vertical_idstring
small_logo_urlstring
large_logo_urlstring
400

Bad Request

Response
{
"cursor_id": "{string}",
"active": "{boolean}",
"response": [
{
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"vertical_id": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}"
}
]
}
Copy

Create Customer

Auth
Required Scopes:post:customers
Request Body

Create a customer in Adara

objectobject
namestring
vertical_idstring
logofile
admin_emailstring
default_data_provider_idstring
default_advertiser_idstring
default_locationstring
POST /customers
curl --request POST \
--url '/api/v1//customers' \
--header 'Authorization: Bearer {token}' \
--form 'file=@{file}'
Copy
Responses
200

Customer successfully created

objectobject
activeboolean
response8 fieldsobject
idstring
createdinteger
updatedinteger
namestring
vertical_idstring
small_logo_urlstring
large_logo_urlstring
accountsarray
namestring
customer_idstring
data_provider_idstring
advertiser_idstring
locationstring

Default: global

idstring
createdinteger
updatedinteger
small_logo_urlstring
large_logo_urlstring
vertical_idstring
defaultboolean
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"vertical_id": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"accounts": [
{
"name": "{string}",
"customer_id": "{string}",
"data_provider_id": "{string}",
"advertiser_id": "{string}",
"location": "{string}",
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"vertical_id": "{string}",
"default": "{boolean}"
}
]
}
}
Copy

Managers

Endpoints
POST
/managers
GET
/managers

Create a new manager

Auth
Required Scopes:post:managers
Request Body

Create a manager object

objectobject
bucket_namestring
small_logo_pathstring
large_logo_pathstring
namestring
admin_emailstring
POST /managers
curl --request POST \
--url '/api/v1//managers' \
--header 'Authorization: Bearer {token}' \
--data '{
"bucket_name": "{string}",
"small_logo_path": "{string}",
"large_logo_path": "{string}",
"name": "{string}",
"admin_email": "{string}"
}'
Copy
Responses
200

Manager successfully created

objectobject
activeboolean
response6 fieldsobject
idstring
createdinteger
updatedinteger
namestring
small_logo_urlstring
large_logo_urlstring
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}"
}
}
Copy

Get list of managers

Auth
Required Scopes:get:managers
Query String
cursor_idstring
GET /managers
curl --get \
--url '/api/v1//managers' \
--header 'Authorization: Bearer {token}' \
--data cursor_id={cursor_id}
Copy
Responses
200

Get list of managers and managed Accounts

objectobject
cursor_idstring

cursor to get the next sett of managers

activeboolean
responsearray
idstring
createdinteger
updatedinteger
namestring
small_logo_urlstring
large_logo_urlstring
400

Bad Request

Response
{
"cursor_id": "{string}",
"active": "{boolean}",
"response": [
{
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"name": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}"
}
]
}
Copy

Managed Accounts

Endpoints
PUT
/managed_accounts/{managed_account_id}
DELETE
/managed_accounts/{managed_account_id}
POST
/managed_accounts
GET
/managed_accounts

Approve or Reject Manager access to customer account

Auth
Required Scopes:put:managed_accounts
Path Params
managed_account_idstring

managed account id

Request Body
objectobject
reviewerstring

email address of the person that reviewed the access request

approvedboolean
PUT /managed_accounts/{managed_account_id}
curl --request PUT \
--url '/api/v1//managed_accounts/{managed_account_id}' \
--header 'Authorization: Bearer {token}' \
--data '{
"reviewer": "{string}",
"approved": "{boolean}"
}'
Copy
Responses
200

Managed Account Updated

objectobject
activeboolean
response14 fieldsobject
account_idstring
manager_idstring
customer_idstring
product_idstring
verticalstring
vertical_idstring
locationstring
small_logo_urlstring
large_logo_urlstring
idstring
createdinteger
updatedinteger
account_namestring
customer_namestring
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"account_id": "{string}",
"manager_id": "{string}",
"customer_id": "{string}",
"product_id": "{string}",
"vertical": "{string}",
"vertical_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"account_name": "{string}",
"customer_name": "{string}"
}
}
Copy

Remove a managed account

Auth
Required Scopes:delete:managed_accounts
Path Params
managed_account_idstring

managed account id

DELETE /managed_accounts/{managed_account_id}
curl --request DELETE \
--url '/api/v1//managed_accounts/{managed_account_id}' \
--header 'Authorization: Bearer {token}'
Copy
Responses
200

Managed Account Updated

objectobject
activeboolean
response14 fieldsobject
account_idstring
manager_idstring
customer_idstring
product_idstring
verticalstring
vertical_idstring
locationstring
small_logo_urlstring
large_logo_urlstring
idstring
createdinteger
updatedinteger
account_namestring
customer_namestring
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"account_id": "{string}",
"manager_id": "{string}",
"customer_id": "{string}",
"product_id": "{string}",
"vertical": "{string}",
"vertical_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"account_name": "{string}",
"customer_name": "{string}"
}
}
Copy

Request access to customer account.

Auth
Required Scopes:post:managed_accounts
Request Body

Add a customer account to a manager portfolio

objectobject
manager_idstring
customer_idstring
product_idstring
account_idstring
POST /managed_accounts
curl --request POST \
--url '/api/v1//managed_accounts' \
--header 'Authorization: Bearer {token}' \
--data '{
"manager_id": "{string}",
"customer_id": "{string}",
"product_id": "{string}",
"account_id": "{string}"
}'
Copy
Responses
200

Managed Account Updated

objectobject
activeboolean
response14 fieldsobject
account_idstring
manager_idstring
customer_idstring
product_idstring
verticalstring
vertical_idstring
locationstring
small_logo_urlstring
large_logo_urlstring
idstring
createdinteger
updatedinteger
account_namestring
customer_namestring
400

Bad Request

Response
{
"active": "{boolean}",
"response": {
"account_id": "{string}",
"manager_id": "{string}",
"customer_id": "{string}",
"product_id": "{string}",
"vertical": "{string}",
"vertical_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"account_name": "{string}",
"customer_name": "{string}"
}
}
Copy

get managed accounts

Auth
Required Scopes:get:managed_accounts
Query String
manager_idstring
product_idstring
customer_idstring
cursor_idstring
account_idstring
GET /managed_accounts
curl --get \
--url '/api/v1//managed_accounts' \
--header 'Authorization: Bearer {token}' \
--data manager_id={manager_id} \
--data product_id={product_id} \
--data customer_id={customer_id} \
--data cursor_id={cursor_id} \
--data account_id={account_id}
Copy
Responses
200

List of managed Accounts for a customer product

objectobject
cursor_idstring

cursor to get the next sett of managers

activeboolean
responsearray
account_idstring
manager_idstring
customer_idstring
product_idstring
verticalstring
vertical_idstring
locationstring
small_logo_urlstring
large_logo_urlstring
idstring
createdinteger
updatedinteger
account_namestring
customer_namestring
400

Bad Request

Response
{
"cursor_id": "{string}",
"active": "{boolean}",
"response": [
{
"account_id": "{string}",
"manager_id": "{string}",
"customer_id": "{string}",
"product_id": "{string}",
"vertical": "{string}",
"vertical_id": "{string}",
"location": "{string}",
"small_logo_url": "{string}",
"large_logo_url": "{string}",
"id": "{string}",
"created": "{integer}",
"updated": "{integer}",
"account_name": "{string}",
"customer_name": "{string}"
}
]
}
Copy

We serve cookies on this site to analyse traffic and optimise your experience. By using the website you agree to the Privacy Policy.